from django.db import models
from django.urls import reverse


class Author(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()
    nationality = models.CharField(max_length=100)
    bio = models.CharField(max_length=700)

    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)

    def get_absolute_url(self):
        return reverse('bookshelf:authors_details', kwargs={'pk': self.pk})

    def get_author_books(self):
        author_books = Book.objects.filter(author=self)
        return author_books


class Book(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(Author, on_delete=models.CASCADE, related_name='book')
    publisher = models.CharField(max_length=100)
    year_published = models.DateField()
    ISBN = models.IntegerField()
    blurb = models.CharField(max_length=2000)

    def __str__(self):
        return '{}'.format(self.title)

    def get_absolute_url(self):
        return reverse('bookshelf:books_details', kwargs={'pk': self.pk})

# Create your models here.
