from django.shortcuts import render
from django.views.generic.detail import DetailView
from django.views.generic.list import ListView
from django.http import HttpResponse

from .models import Author, Book


def index(request):
    return request('Hello World! This came from the index view')


def home_view(request):
    return render(request, 'bookshelf/home.html')


class BooksListView(ListView):
    model = Book
    template_name = "bookshelf/books.html"


class BooksDetailView(DetailView):
    model = Book
    template_name = "bookshelf/books_details.html"


class AuthorsListView(ListView):
    model = Author
    template_name = "bookshelf/authors.html"


class AuthorsDetailView(DetailView):
    model = Author
    template_name = "bookshelf/authors_details.html"
# Create your views here.
